# Crow: include/crow/TinySHA1.hpp File Reference

Loading...
Searching...
No Matches
TinySHA1.hpp File Reference

TinySHA1 - a header only implementation of the SHA1 algorithm in C++. Based on the implementation in boost::uuid::details. More...

`#include <cstdio>`
`#include <cstdlib>`
`#include <cstring>`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

class | sha1::SHA1
| A tiny SHA1 algorithm implementation used internally in the Crow server (specifically in crow/websocket.h). More...

## Namespaces

namespace | sha1
| Here is defined the SHA1 class.

## Detailed Description

TinySHA1 - a header only implementation of the SHA1 algorithm in C++. Based on the implementation in boost::uuid::details.

Author
  SAURAV MOHAPATRA mohap.nosp@m.s@gm.nosp@m.ail.c.nosp@m.om

Date
  2012-22

In this file are defined:

- sha1::SHA1